Package org.apache.tapestry5.internal.plastic

## Class NameCache

- java.lang.Object
- - org.apache.tapestry5.internal.plastic.NameCache

-     public class NameCache
      extends Object

  A cache of translations from type names to internal names and descriptors, as well as a cache from MethodDescription to method descriptor.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NameCache()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toDesc​(String typeName)` |
    `String` | `toDesc​(MethodDescription md)` |
    `String` | `toInternalName​(Class type)` |
    `String` | `toInternalName​(String className)` |
    `String` | `toMethodDescriptor​(Class returnType, Class... argumentTypes)` |
    `String` | `toMethodDescriptor​(String returnType, String... argumentTypes)` |
    `String` | `toTypeName​(Class type)` |
    `String[]` | `toTypeNames​(Class... types)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameCache

          public NameCache()

  - ### Method Detail

    - #### toInternalName

          public String toInternalName​(String className)

    - #### toInternalName

          public String toInternalName​(Class type)

    - #### toDesc

          public String toDesc​(MethodDescription md)

    - #### toDesc

          public String toDesc​(String typeName)

    - #### toTypeName

          public String toTypeName​(Class type)

    - #### toTypeNames

          public String[] toTypeNames​(Class... types)

    - #### toMethodDescriptor

          public String toMethodDescriptor​(Class returnType,
                                           Class... argumentTypes)

    - #### toMethodDescriptor

          public String toMethodDescriptor​(String returnType,
                                           String... argumentTypes)